Bundle
Storefront Bundle API endpoints
An API endpoint to get list of bundles with filtering options.
Query parameters
pageoptionalintegerPage number for pagination
per_pageoptionalintegerEntities per page
ids[]optionalinteger[]Filter by bundle IDs
tags[]optionalstring[]Filter by tag name
slugs[]optionalstring[]Filter by bundle slugs
configurableoptionalbooleanFilter by configurable bundles
digitaloptionalbooleanFilter by digital bundles
sort[field]optionalstringField to sort by
Possible values: id, name.
sort[direction]optionalstringSort direction; defaults to asc.
Possible values: asc, desc.
Defaults to "asc".
Returnsobject
Bundles list response
Error responses
422objectA query parameter fails validation. tags holds a name that is not a tag of the shop; ids, tags or slugs is not an array or repeats a value; an ids entry is not an integer; a slug is longer than 80 characters; digital or configurable is not a boolean; sort is not an array, sort.field is missing or not id or name, or sort.direction is not asc or desc; page is below 1; per_page is outside 1-500; or expand is not an array.
A detailed description of the bundle
Path parameters
bundle_idRequiredintegerBundle ID
ReturnsBundle
Bundle object response
Error responses
400objectThe bundle belongs to another shop, is not published, or is archived.
404objectNo bundle with this ID exists.
422objectexpand is not an array.
An api call to calculate bundle price.
Path parameters
bundle_idRequiredintegerRequest body
product_idoptionalintegerVariant or Pricing ID attached to the ruleset
quantityoptionalintegeritemsoptionalQuoteBundleItemBody[]preferencesoptionalQuoteBundlePreferenceBody[]ReturnsBundleQuote
Bundle quote response
Error responses
400objectThe bundle belongs to another shop, is not published, or is archived.
404objectNo bundle with this ID exists.
422objectThe body fails validation. product_id is not a published, non-archived variant or plan of this bundle in the shop; quantity is not an integer, is below 1, or is above 1 for a subscription product when the shop turns off the subscription quantity selector; preferences or items is sent for a bundle that is not configurable ("The preferences field is prohibited."); preferences do not match the bundle preferences ("The preferences is invalid."); items do not form a valid bundle selection ("The items contains the invalid product."); a preference has neither metafield_id nor attribute_id, or has no values array; an item has no product_id or quantity; or expand is not an array.
An API endpoint to get list of bundle group items.
Path parameters
bundleRequiredintegerBundle ID
Query parameters
pageoptionalintegerPage
per_pageoptionalintegerEntities per page
expandoptionalstring[]Expand related resources
Returnsobject
Bundle group items list response
Error responses
400objectThe bundle belongs to another shop, is not published, or is archived.
404objectNo bundle with this ID exists.
422objectpage is not an integer or is below 1, per_page is not an integer or is outside 1-100, or expand is not an array.
An API endpoint to get list of bundle items.
Path parameters
bundle_idRequiredintegerBundle ID
Query parameters
pageoptionalintegerPage
per_pageoptionalintegerEntities per page
queryoptionalstring | nullSearch entities by the query
product_ids[]optionalinteger[]DeprecatedProduct IDs (deprecated - use variant_ids instead)
variant_ids[]optionalinteger[]Filter by variant IDs
filters[]optionalobjectFilter object
Returnsobject
Bundle items list response
Error responses
400objectThe bundle belongs to another shop, is not published, or is archived.
404objectNo bundle with this ID exists.
422objectA query parameter fails validation. filters is not an array; a filter has neither metafield_id nor attribute_id, or its ID is not a preset single-line text metafield of the shop (errors for both keys appear under filters.N.attribute_id); a filter has no values array, or a value ID is not an integer or does not exist; product_ids or variant_ids is not an array of integers; query is longer than 50 characters; page is below 1; per_page is outside 1-500; or expand is not an array.
An API endpoint to get the list of bundle items associated with multiple bundles.
Query parameters
bundle_ids[]Requiredinteger[]Bundle IDs
pageoptionalintegerPage
per_pageoptionalintegerEntities per page
queryoptionalstring | nullSearch entities by the query
product_ids[]optionalinteger[]Product IDs
filters[]optionalobjectFilter object
Returnsobject
Bundle items list response
Error responses
422objectA query parameter fails validation. bundle_ids is missing or not an array, or an entry is not an integer, repeats, or is not a published, non-archived bundle of the shop; filters is not an array; a filter has neither metafield_id nor attribute_id, or its ID is not a preset single- line text metafield of the shop (errors for both keys appear under filters.N.attribute_id); a filter has no values array, or a value ID is not an integer or does not exist; product_ids is not an array of integers; query is longer than 50 characters; page is below 1; per_page is outside 1-500; or expand is not an array.